#!/bin/bash

# GET SUDO privilege (Change sudo to gksu or gksudo if you prefer a graphical prompt)
echo "***********************************************"
echo "*     MIDI EXPRESSION Control Uninstall       *"
echo "***********************************************"
echo
echo "This uninstaller requires root privileges..."
[ "$UID" -eq 0 ] || exec sudo bash "$0" "$@"


PP_INSTALL_FOLDER="/opt/MIDI_Expression"
BINARY_NAME="midiExpression"
VST3_NAME="midiExpression.vst3"
SHORTCUT_NAME="MIDI Expression.desktop"
USER_HOME=$(getent passwd $SUDO_USER | cut -d: -f6)
SHORTCUT_PATH="/usr/share/applications/${SHORTCUT_NAME}"
RULES_PATH="/etc/udev/rules.d/midiExpression.rules"
PDF="MIDIExpression.pdf"
ICON_NAME="icon.png"

AF_SETTINGS_PATH="${USER_HOME}/.AudioFront"
SETTINGS_PATH="${AF_SETTINGS_PATH}/MIDI_EXPRESSION"
ICON_PATH="${SETTINGS_PATH}/${ICON_NAME}"

#REMOVE OLD STUFF
if [ -d "${APP_INSTALL_FOLDER}" ]; then 
    echo "Uninstalling main application..."
    rm -r "${APP_INSTALL_FOLDER}"
fi

#REMOVE SHORTBUT
if test -f "$SHORTCUT_PATH"; then
    echo "Removing desktop shortcut.."
    rm "${SHORTCUT_PATH}"
fi

#REMOVE RULES
if test -f "$RULES_PATH"; then
    echo "Removing udev rules.."
    rm "${RULES_PATH}"
fi

#REMOVE PDF
if test -f "${USER_HOME}/.AudioFront/${PDF}"; then
    echo "Removing PDF..."
    rm "${USER_HOME}/.AudioFront/${PDF}"
fi

#REMOVE APPLICATION SETTINGS
if [ -d "${SETTINGS_PATH}" ]; then 
    echo "Uninstalling main settins and presets..."
    rm -r "${SETTINGS_PATH}"
fi

echo "Uninstall complete."

